# classes/phing/mappers/FileNameMapper.php

Interface for filename mapper classes.

author
  Andreas Aderhold, andi@binarycloud.com
author
  Hans Lellelid
package
  phing.mappers
version
  $Revision: 526 $

## \FileNameMapper
jump to top

Interface for filename mapper classes.

author
  Andreas Aderhold, andi@binarycloud.com
author
  Hans Lellelid
package
  phing.mappers
version
  $Revision: 526 $

### Methods

`main( mixed $sourceFileName ) : array`
The mapper implementation.
Parameters

Name | Type | Description
--- | --- | ---
$sourceFileName | mixed | The data the mapper works on.

Returns

Type | Description
--- | ---
array |

`setFrom( string $from ) : void`
Accessor. Sets the from property. What this mapper should recognize. The actual implementation is dependent upon the child class
Parameters

Name | Type | Description
--- | --- | ---
$from | string | On what this mapper should work

`setTo( string $to ) : void`
Accessor. Sets the to property. The actual implementation depends on the child class.
Parameters

Name | Type | Description
--- | --- | ---
$to | string | To what this mapper should convert the from string

Documentation was generated by DocBlox 0.13.1.